---

- hosts: http
  gather_facts: False
  become: true

  tasks:
    - name: Add 50 MB partition
      parted:
        #yours will NOT be sda
        device: /dev/sda
        number: 4
        label: gpt
        name: fooman
        #you could probable start at 0
        part_start: 10740MB
        #end at 100MB more than the start
        part_end: 10800MB
        state: present
